Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		obex-data-server
Version:	0.3.4
Release:	2
Epoch:		1
Summary:	D-Bus service for Obex access

Group:		System/Daemons
License:	GPLv2+
Source0:	http://tadas.dailyda.com/software/%{name}-%{version}.tar.gz
Patch0:		obex-data-server-0.3.4-bluez4.patch
Url:		http://tadas.dailyda.com/blog
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	dbus-glib-devel
BuildRequires:	bluez-devel
BuildRequires:	openobex-devel
BuildRequires:	glib-devel
BuildRequires:	libtool

%description
obex-data-server is a D-Bus service to allow sending and receiving files
using the ObexFTP and Obex Push protocols, common on mobile phones and
other Bluetooth-equipped devices.

%prep
%setup -q
%patch0 -p1 

%build
%configure
make %{?_smp_mflags}

cat << EOF > README
Bug tracking system is at:
http://bugs.muiline.com/view_all_bug_page.php

Web page is at:
http://tadas.dailyda.com/blog/

SVN tree:
svn://svn.muiline.com/obex-data-server/trunk/

SVN browsing:
http://svn.muiline.com/cgi-bin/viewvc.cgi/obex-data-server/trunk/

EOF

%install
rm -rf $RPM_BUILD_ROOT
chmod a-x test/*.py
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING dbus-api.txt test/ods-dbus-test.c test/ods-server-test.py test/ods-session-test.py
%{_bindir}/obex-data-server
%{_datadir}/dbus-1/services/obex-data-server.service
%{_mandir}/man1/obex-data-server.1.gz

%changelog
* Sun Sep 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.4-2
- rebuilt against bluez 4.5
* Fri Sep 05 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.4-1
- Initial release
